Debian Bug report logs - #364034
RFP: truecrypt -- cross-platform disk encryption

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Thomas Quas <tquas@yahoo.com>

Date: Fri, 21 Apr 2006 06:48:01 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#364034; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Thomas Quas <tquas@yahoo.com>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thomas Quas <tquas@yahoo.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: truecrypt -- Free open-source disk encryption software for Windows XP/2000/2003 and Linux
Date: Fri, 21 Apr 2006 08:36:52 +0200
Package: wnpp
Severity: wishlist


* Package name    : truecrypt
  Version         : 4.2
  Upstream Author : Name <somebody@example.org>
* URL             : http://www.truecrypt.org/
* License         : TrueCrypt License 2.0 (http://www.truecrypt.org/license.php)
  Programming Lang: (C, C++, C#, Perl, Python, etc.)
  Description     : Free open-source disk encryption software for Windows XP/2000/2003 and Linux

>From the man pages:
Manages  encrypted  TrueCrypt  volumes,  which can be mapped as virtual
block devices and used as any other standard  block  device.  All  data
being  read  from  a mapped TrueCrypt volume is transparently decrypted
and all data being written to it is transparently encrypted.



-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16-vserver
Locale: LANG=en_US.ISO-8859-15, LC_CTYPE=en_US.ISO-8859-15 (charmap=ISO-8859-15)



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#364034; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Bastian Kleineidam <calvin@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 364034@bugs.debian.org (full text, mbox):

From: Bastian Kleineidam <calvin@users.sourceforge.net>
To: 364034@bugs.debian.org, 364034-submitter@bugs.debian.org
Subject: truecrypt license is unclear
Date: Thu, 29 Jun 2006 20:15:38 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi,

just wanted to note that debian-legal says[1] that the truecrypt license
is not precise enough to be considered for packaging.
[1] http://lists.debian.org/debian-legal/2006/06/msg00295.html

So unless the author decides to clear up the license, or chooses another
one, this software will most likely not be packaged for Debian.

Regards,
  Bastian
- --
  ,''`.                  Bastian Kleineidam
 : :' :                    GnuPG Schlüssel
 `. `'    gpg --keyserver wwwkeys.pgp.net --recv-keys 32EC6F3E
   `-

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFEpBjKeBwlBDLsbz4RAnj7AJ93d4ddk2c3GMyBb3eM3qb0U6T4TACcCer2
aZQ9vYnr/hZMTkZAou0dJ5Q=
=FR8a
-----END PGP SIGNATURE-----



Message sent on to Thomas Quas <tquas@yahoo.com>:
Bug#364034. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#364034; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Sami Liedes <sliedes@cc.hut.fi>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #18 received at 364034@bugs.debian.org (full text, mbox):

From: Sami Liedes <sliedes@cc.hut.fi>
To: 364034@bugs.debian.org, 364034-submitter@bugs.debian.org
Subject: Truecrypt license clarified
Date: Wed, 7 Feb 2007 04:47:04 +0200
[Message part 1 (text/plain, inline)]
Hi,

Just noting for the record that the license[1] has been clarified[2].

	Sami

[1] http://www.truecrypt.org/license.php
[2] http://lists.debian.org/debian-legal/2006/07/msg00009.html
[signature.asc (application/pgp-signature, inline)]

Message sent on to Thomas Quas <tquas@yahoo.com>:
Bug#364034. Full text and rfc822 format available.

Reply sent to David Moreno Garza <damog@merkel.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Thomas Quas <tquas@yahoo.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #26 received at 364034-done@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@merkel.debian.org>
To: 364034-done@bugs.debian.org
Subject: WNPP bug closing
Date: Fri, 08 Feb 2008 11:59:51 -0700
Hello,

This is an automatic mail sent to close the RFP you have reported or 
are involved with.

Your RFP wnpp bug is being closed because of the following reasons:
- It is, as of today, older than 365 days.
- It hasn't had any activity recently.

As this is an automatic procedure, it could of course have something
wrong and probably it would be closing some bugs that are not 
intended by owners and submitters (like you) to be closed, for
example if the RFP is still of your interest, or there has been 
some kind of activity around it. In that case, please reopen the
bug, do it, DO IT NOW! (I don't want to be blamed because of
mass closing and not let people know that they can easily reopen
their bugs ;-).

To re-open it, you simply have to mail control@bugs.debian.org
with a body text like this:

 reopen 364034
 stop

Further comments on the work done in the bug sent to
364034@bugs.debian.org would be truly welcomed.
Anyway, if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <damog@debian.org>.

A similar process is being applied to other kind of wnpp bugs.

Thanks for your cooperation,

 -- David Moreno Garza <damog@debian.org>.
 




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 08 Mar 2008 07:29:52 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from David Seaward <dseaward925@gmail.com> to control@bugs.debian.org. (Wed, 12 Oct 2011 06:36:06 GMT) Full text and rfc822 format available.

Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 12 Oct 2011 07:00:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#364034; Package wnpp. (Wed, 12 Oct 2011 07:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Seaward <dseaward925@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 12 Oct 2011 07:18:03 GMT) Full text and rfc822 format available.

Message #37 received at 364034@bugs.debian.org (full text, mbox):

From: David Seaward <dseaward925@gmail.com>
To: 364034@bugs.debian.org
Subject: TrueCrypt license is now at v3.0
Date: Wed, 12 Oct 2011 09:15:05 +0200
I have been following this issue downstream at
https://bugs.launchpad.net/ubuntu/+bug/109701

Relevant comments:

 * The TrueCrypt license is now at v3.0 - afaik an update since the
last evaluation - http://www.truecrypt.org/legal/license - is this now
acceptable?

 * It appears likely that TrueCrypt would only be suitable for
multiverse, not universe, and would require re-branding similar to
what was done with IceWeasel in Debian, but I think it can be included
now... If not, please contact upstream at licensing@truecrypt.org
about any remaining concerns.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#364034; Package wnpp. (Sun, 13 Jan 2013 19:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to balint@balintreczey.hu:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 13 Jan 2013 19:15:03 GMT) Full text and rfc822 format available.

Message #42 received at 364034@bugs.debian.org (full text, mbox):

From: Bálint Réczey <balint@balintreczey.hu>
To: debian-legal@lists.debian.org
Cc: David Seaward <dseaward925@gmail.com>, 364034@bugs.debian.org, control <control@bugs.debian.org>, 413070@bugs.debian.org, Francis Russell <francis@unchartedbackwaters.co.uk>
Subject: Re: TrueCrypt license is now at v3.0
Date: Sun, 13 Jan 2013 20:13:06 +0100
retitle 364034 ITP: truecrypt -- cross-platform disk encryption
owner 364034 Balint Reczey <balint@balintreczey.hu>
thanks

Hi,

I would like help the package maintenance of truecrypt started by Russel [1]
and upload the package to non-free it if the revised (3.0) license allows that.

I think having the package in non-free would be better than having and installer
but I'm not 100% sure if the new license allows even that.

To my understanding the previous (2.x) license has already been discussed [2]
on debian-legal and found to be not clear enough and definitely not DFSG-free.

I'm hereby seeking debian-legal's advice to decide whether the new
license allows
truecrypt to be uploaded to non-free.

Thanks,
Balint


On 10/12/2011 09:15 AM, David Seaward wrote:

I have been following this issue downstream at
https://bugs.launchpad.net/ubuntu/+bug/109701

Relevant comments:

 * The TrueCrypt license is now at v3.0 - afaik an update since the
last evaluation - http://www.truecrypt.org/legal/license - is this now
acceptable?

 * It appears likely that TrueCrypt would only be suitable for
multiverse, not universe, and would require re-branding similar to
what was done with IceWeasel in Debian, but I think it can be included
now... If not, please contact upstream at licensing@truecrypt.org
about any remaining concerns.

[1] http://www.unchartedbackwaters.co.uk/pyblosxom/static/truecrypt_debian_packaging
[2] http://lists.debian.org/debian-legal/2006/06/msg00294.html



Changed Bug title to 'ITP: truecrypt -- cross-platform disk encryption' from 'RFP: truecrypt -- Free open-source disk encryption software for Windows XP/2000/2003 and Linux' Request was from Bálint Réczey <balint@balintreczey.hu> to control@bugs.debian.org. (Sun, 13 Jan 2013 19:15:07 GMT) Full text and rfc822 format available.

Owner recorded as Balint Reczey <balint@balintreczey.hu>. Request was from Bálint Réczey <balint@balintreczey.hu> to control@bugs.debian.org. (Sun, 13 Jan 2013 19:15:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#364034; Package wnpp. (Sun, 17 Nov 2013 16:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Balint Reczey <balint@balintreczey.hu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 17 Nov 2013 16:00:04 GMT) Full text and rfc822 format available.

Message #51 received at 364034@bugs.debian.org (full text, mbox):

From: Balint Reczey <balint@balintreczey.hu>
To: balint@balintreczey.hu
Cc: debian-legal@lists.debian.org, David Seaward <dseaward925@gmail.com>, 364034@bugs.debian.org, control <control@bugs.debian.org>, 413070@bugs.debian.org, Francis Russell <francis@unchartedbackwaters.co.uk>
Subject: Re: Re: TrueCrypt license is now at v3.0
Date: Sun, 17 Nov 2013 16:59:58 +0100
[Message part 1 (text/plain, inline)]
retitle 364034 RFP: truecrypt -- cross-platform disk encryption
noowner 364034
thanks

The current license of TrueCrypt seems to be even worse. There may be
some improvements in the future [3], but I don't plan working on
TrueCrypt until the license question is resolved.

Thanks,
Balint

[3]
http://threatpost.com/audit-aims-to-put-concerns-over-dubious-truecrypt-license-to-rest

On 01/13/2013 08:13 PM, Bálint Réczey wrote:
> retitle 364034 ITP: truecrypt -- cross-platform disk encryption
> owner 364034 Balint Reczey <balint@balintreczey.hu>
> thanks
> 
> Hi,
> 
> I would like help the package maintenance of truecrypt started by Russel [1]
> and upload the package to non-free it if the revised (3.0) license allows that.
> 
> I think having the package in non-free would be better than having and installer
> but I'm not 100% sure if the new license allows even that.
> 
> To my understanding the previous (2.x) license has already been discussed [2]
> on debian-legal and found to be not clear enough and definitely not DFSG-free.
> 
> I'm hereby seeking debian-legal's advice to decide whether the new
> license allows
> truecrypt to be uploaded to non-free.
> 
> Thanks,
> Balint
> 
> 
> On 10/12/2011 09:15 AM, David Seaward wrote:
> 
> I have been following this issue downstream at
> https://bugs.launchpad.net/ubuntu/+bug/109701
> 
> Relevant comments:
> 
>  * The TrueCrypt license is now at v3.0 - afaik an update since the
> last evaluation - http://www.truecrypt.org/legal/license - is this now
> acceptable?
> 
>  * It appears likely that TrueCrypt would only be suitable for
> multiverse, not universe, and would require re-branding similar to
> what was done with IceWeasel in Debian, but I think it can be included
> now... If not, please contact upstream at licensing@truecrypt.org
> about any remaining concerns.
> 
> [1] http://www.unchartedbackwaters.co.uk/pyblosxom/static/truecrypt_debian_packaging
> [2] http://lists.debian.org/debian-legal/2006/06/msg00294.html
> 
> 
> 


[signature.asc (application/pgp-signature, attachment)]

Changed Bug title to 'RFP: truecrypt -- cross-platform disk encryption' from 'ITP: truecrypt -- cross-platform disk encryption' Request was from Balint Reczey <balint@balintreczey.hu> to control@bugs.debian.org. (Sun, 17 Nov 2013 16:00:10 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Balint Reczey <balint@balintreczey.hu>. Request was from Balint Reczey <balint@balintreczey.hu> to control@bugs.debian.org. (Sun, 17 Nov 2013 16:00:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#364034; Package wnpp. (Mon, 18 Nov 2013 09:03:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christophe-Marie Duquesne <chmd@chmd.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 18 Nov 2013 09:03:09 GMT) Full text and rfc822 format available.

Message #60 received at 364034@bugs.debian.org (full text, mbox):

From: Christophe-Marie Duquesne <chmd@chmd.fr>
To: Balint Reczey <balint@balintreczey.hu>
Cc: Debian-legal <debian-legal@lists.debian.org>, David Seaward <dseaward925@gmail.com>, 364034@bugs.debian.org, control <control@bugs.debian.org>, 413070@bugs.debian.org, Francis Russell <francis@unchartedbackwaters.co.uk>
Subject: Re: Re: TrueCrypt license is now at v3.0
Date: Mon, 18 Nov 2013 10:00:46 +0100
Not sure if that helps, but there is now tcplay, a new truecrypt
implementation [1]. It is licensed under a 2-clause BSD license. It is
supposed to be fully compatible with truecrypt, and so far I heard [2]
that it is pretty stable. See the archlinux wiki page [3] for the
manual. Maybe you could consider packaging this one instead?

[1]: https://github.com/bwalex/tc-play
[2]: http://jasonwryan.com/blog/2013/01/10/truecrypt/
[3]: https://wiki.archlinux.org/index.php/Tcplay



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#364034; Package wnpp. (Mon, 18 Nov 2013 10:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to balint@balintreczey.hu:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 18 Nov 2013 10:42:04 GMT) Full text and rfc822 format available.

Message #65 received at 364034@bugs.debian.org (full text, mbox):

From: Bálint Réczey <balint@balintreczey.hu>
To: Christophe-Marie Duquesne <chmd@chmd.fr>
Cc: Debian-legal <debian-legal@lists.debian.org>, David Seaward <dseaward925@gmail.com>, 364034@bugs.debian.org, control <control@bugs.debian.org>, 413070@bugs.debian.org, Francis Russell <francis@unchartedbackwaters.co.uk>
Subject: Re: Re: TrueCrypt license is now at v3.0
Date: Mon, 18 Nov 2013 11:38:53 +0100
Hi Cristhophe-Marie,

2013/11/18 Christophe-Marie Duquesne <chmd@chmd.fr>:
> Not sure if that helps, but there is now tcplay, a new truecrypt
> implementation [1]. It is licensed under a 2-clause BSD license. It is
> supposed to be fully compatible with truecrypt, and so far I heard [2]
> that it is pretty stable. See the archlinux wiki page [3] for the
> manual. Maybe you could consider packaging this one instead?
I was not aware of that implementation and thanks to your suggestion
I was about to check it, but fortunately it has already been packaged
by GCS [4].

Cheeers,
Balint

[4] http://packages.qa.debian.org/t/tcplay.html

>
> [1]: https://github.com/bwalex/tc-play
> [2]: http://jasonwryan.com/blog/2013/01/10/truecrypt/
> [3]: https://wiki.archlinux.org/index.php/Tcplay



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 14:29:23 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.